<?php
namespace Claromentis\News\AbsoluteUrl;

$GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"] = (@$GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"] ?: array()) + array("_559824e0ac2e0f7e96c8104" . "73f78f5fe" => base64_decode("L25ld" . "3Mv"), "_4fabdeae28e3ef4591a36" . "a28a346dc55" => base64_decode("YWRtaW4ubGFicy5hYnNvbHV0ZV" . "91cmwubmV3cw=="));
use Claromentis\Admin\Sysadmin\AbsoluteUrl\AbstractAbsoluteUrl;
use Claromentis\Core\DAL\QueryBuilder;
abstract class AbstractNewsAbsoluteUrl extends AbstractAbsoluteUrl
{
    
    
    
    
    public function getName() : string
    {
        return ($this->lmsg)($GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_4fabdeae" . "28e3ef459" . "1a36a28a3" . "46dc55"]);
    }
    
    
    
    
    public function getLink($id) : string
    {
        return $GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_559824e0ac2e0f7e96c810473f" . "78f5fe"] . $id;
    }
    
    
    
    
    public abstract function getType() : string;
    
    
    
    
    public abstract function getQueryBuilder() : QueryBuilder;
}